Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# ShaderInput Class Reference

This is a small container class that can hold any one of the value types that can be passed as input to a shader. More...

Inheritance diagram for ShaderInput:

List of all members.

## Public Types
enum | ShaderInputType { MInvalid = 0, MTexture = 1, MNodepath = 2, MNumeric = 3 }
## Public Member Functions
| ShaderInput (InternalName const id, Mat3D const mat, int priority)
| ShaderInput (InternalName const id, Mat3D const mat)
| ShaderInput (InternalName const id, Mat3 const mat)
| ShaderInput (InternalName const id, Mat4 const mat)
| ShaderInput (InternalName const id, VBase3 const vec)
| ShaderInput (InternalName const id, PointerToArrayVBase3D const ptr)
| ShaderInput (InternalName const id, PointerToArrayVBase3 const ptr, int priority)
| ShaderInput (InternalName const id, VBase4D const vec, int priority)
| ShaderInput (InternalName const id)
| ShaderInput (InternalName const id, int priority)
| ShaderInput (InternalName const id, Texture tex)
| ShaderInput (InternalName const id, Texture tex, int priority)
| ShaderInput (InternalName const id, PointerToArrayfloat const ptr)
| ShaderInput (InternalName const id, PointerToArrayfloat const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArraydouble const ptr)
| ShaderInput (InternalName const id, PointerToArraydouble const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLVecBase4f const ptr)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLVecBase4f const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLVecBase4d const ptr)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLVecBase4d const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLMatrix4f const ptr)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLMatrix4f const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLMatrix4d const ptr)
| ShaderInput (InternalName const id, PointerToArrayVBase3 const ptr)
| ShaderInput (InternalName const id, PointerToArrayUnalignedLMatrix4d const ptr, int priority)
| ShaderInput (InternalName const id, VBase2D const vec, int priority)
| ShaderInput (InternalName const id, VBase4D const vec)
| ShaderInput (InternalName const id, PointerToArrayVBase3D const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayVBase2 const ptr)
| ShaderInput (InternalName const id, PointerToArrayVBase2 const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayVBase2D const ptr)
| ShaderInput (InternalName const id, PointerToArrayVBase2D const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayMat3 const ptr)
| ShaderInput (InternalName const id, PointerToArrayMat3 const ptr, int priority)
| ShaderInput (InternalName const id, PointerToArrayMat3D const ptr)
| ShaderInput (InternalName const id, PointerToArrayMat3D const ptr, int priority)
| ShaderInput (InternalName const id, NodePath const np)
| ShaderInput (InternalName const id, NodePath const np, int priority)
| ShaderInput (InternalName const id, VBase4 const vec)
| ShaderInput (InternalName const id, VBase4 const vec, int priority)
| ShaderInput (InternalName const id, Mat4D const mat, int priority)
| ShaderInput (InternalName const id, VBase2D const vec)
| ShaderInput (InternalName const id, VBase2 const vec, int priority)
| ShaderInput (InternalName const id, VBase3 const vec, int priority)
| ShaderInput (InternalName const id, VBase3D const vec)
| ShaderInput (InternalName const id, VBase3D const vec, int priority)
| ShaderInput (InternalName const id, VBase2 const vec)
| ShaderInput (InternalName const id, Mat3 const mat, int priority)
| ShaderInput (InternalName const id, Mat4D const mat)
| ShaderInput (InternalName const id, Mat4 const mat, int priority)
InternalName const | getName ()
NodePath const | getNodepath ()
int | getPriority ()
ShaderPtrData const | getPtr ()
Texture | getTexture ()
int | getValueType ()
VBase4 const | getVector ()
## Static Public Member Functions
static ShaderInput const | getBlank ()
| Returns a static ShaderInput object with name NULL, priority zero, type INVALID, and all value-fields cleared.
static TypeHandle | getClassType ()

## Detailed Description

This is a small container class that can hold any one of the value types that can be passed as input to a shader.

## Member Enumeration Documentation

enum ShaderInputType

Enumerator:

  MInvalid |
  MTexture |
  MNodepath |
  MNumeric |

## Constructor & Destructor Documentation

ShaderInput | ( | InternalName const | id,
|  | Mat3D const | mat,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat3D const | mat
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat3 const | mat,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat3 const | mat
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat4D const | mat,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat4D const | mat
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat4 const | mat,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Mat4 const | mat
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase2D const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase2D const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase2 const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase2 const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase3D const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase3D const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase3 const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase3 const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase4D const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase4D const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase4 const | vec,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | VBase4 const | vec
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | NodePath const | np,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | NodePath const | np
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayMat3D const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayMat3D const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayMat3 const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayMat3 const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase2D const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase2D const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase2 const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase2 const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase3D const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase3D const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase3 const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayVBase3 const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLMatrix4d const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLMatrix4d const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLMatrix4f const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLMatrix4f const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLVecBase4d const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLVecBase4d const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLVecBase4f const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayUnalignedLVecBase4f const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArraydouble const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArraydouble const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayfloat const | ptr,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | PointerToArrayfloat const | ptr
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Texture | tex,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | Texture | tex
| ) |  |

ShaderInput | ( | InternalName const | id,
|  | int | priority
| ) |  |

ShaderInput | ( | InternalName const | id | ) |

## Member Function Documentation

static ShaderInput const getBlank | ( |  | ) | `[static]`

Returns a static ShaderInput object with name NULL, priority zero, type INVALID, and all value-fields cleared.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedWritableReferenceCount.

InternalName const getName | ( |  | ) |

NodePath const getNodepath | ( |  | ) |

int getPriority | ( |  | ) |

ShaderPtrData const getPtr | ( |  | ) |

Texture getTexture | ( |  | ) |

int getValueType | ( |  | ) |

VBase4 const getVector | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties